Subject: Re: bug#47312: [website] Showing channel news

From: Luis Felipe <[email-masked]>
Date: Mon, 22 Mar 2021 17:38:25 +0000

Hi, Ludo,

On Monday, March 22, 2021 8:07 AM, Ludovic Courtès <[email-masked]> wrote:

> Hello!
>
> I figured it would be nice to display channel news (as shown by ‘guix
> pull --news’) on the web site. Perhaps the three latest items could be
> shown on the front page, as is done for blog posts, and then each entry
> would get its own page, similar to the layout of blog posts.

Where would these new pages live? Maybe:

List of News: /LANG_TAG/news/
News entry: /LANG_TAG/news/NEWS_ENTRY_COMMIT_VALUE/SLUGIFIED_ENTRY_TITLE/

> (guix channels) has ‘read-channel-news’ to read the news, the web site
> has code to render the blog posts, but I’m not sure how to adapt it to
> render news entries. Thoughts?

I'd like to help with this, but after helping with https://issues.guix.gnu.org/43871. Maybe what is found to work to generalize presentation of different media items in #43871 can be used for presenting channel news.

(I'm actually doing some related experimentation in my website)